OpenNMS API 1.2.9

## org.opennms.web.category
Class CategoryList

    java.lang.Object
      org.opennms.web.category.CategoryList

public class CategoryList
extends java.lang.Object

Field Summary
`protected javax.servlet.ServletContext` `m_context`
`protected CategoryModel` `m_model`
`protected Section[]` `m_sections` Display rules from viewsdisplay.xml.
`protected static long` `s_disconnect_time`
`protected static java.lang.String` `s_web_console_view`

Constructor Summary
`CategoryList(javax.servlet.ServletContext context)`

Method Summary
`java.util.Map` `getCategoryData()`
`long` `getEarliestUpdate(java.util.Map categoryData)` Returns the earliest update time for the categories in categoryData.
`java.util.List` `getSections(java.util.Map categoryMap)` For the given map of category names to Category objects, organize the categories into the currently active display rules.
`boolean` `isDisconnected()`
`boolean` `isDisconnected(long earliestUpdate)`
`private void` `printBox(javax.servlet.jsp.JspWriter out, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_disconnect_time

    protected static final long s_disconnect_time

See Also:
  Constant Field Values

### s_web_console_view

    protected static final java.lang.String s_web_console_view

See Also:
  Constant Field Values

### m_model

    protected CategoryModel m_model

### m_context

    protected javax.servlet.ServletContext m_context

### m_sections

    protected Section[] m_sections

  Display rules from viewsdisplay.xml. If null, then just show all known categories under the header "Category". (See the getSections method.)

Constructor Detail

### CategoryList

    public CategoryList(javax.servlet.ServletContext context)
                 throws javax.servlet.ServletException

Method Detail

### getSections

    public java.util.List getSections(java.util.Map categoryMap)
                               throws java.io.IOException

  For the given map of category names to Category objects, organize the categories into the currently active display rules.

  If there are no display rules, a single section named Category will be returned. It will include all the categories in the category map, in alphabetical order by category name.

  Throws:
    `java.io.IOException`

### getCategoryData

    public java.util.Map getCategoryData()
                                  throws java.io.IOException,
                                         org.exolab.castor.xml.MarshalException,
                                         org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getEarliestUpdate

    public long getEarliestUpdate(java.util.Map categoryData)

  Returns the earliest update time for the categories in categoryData.

  Parameters:
    `categoryData` - category data to evaluate. From getCategoryData().

### isDisconnected

    public boolean isDisconnected()
                           throws java.io.IOException,
                                  org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### isDisconnected

    public boolean isDisconnected(long earliestUpdate)

### printBox

    private void printBox(javax.servlet.jsp.JspWriter out,
                          javax.servlet.http.HttpServletResponse response)
                   throws java.io.IOException,
                          org.exolab.castor.xml.MarshalException,
                          org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.